import { Namespace } from '../Namespace';
import { Histogram } from './Histogram';
export declare class Timer extends Histogram {
    protected defaultBuckets: number[];
    constructor(namespace: Namespace, name: string, description?: string, unit?: string, buckets?: number[], attributes?: Record<string, string>);
    time<A extends any[], R>(buckets: number[] | undefined, attributes: Record<string, string> | undefined, fn: (...args: A) => Promise<R>, ...args1: A): Promise<R>;
    time<A extends any[], R>(buckets: number[] | undefined, attributes: Record<string, string> | undefined, fn: (...args: A) => R, ...args1: A): R;
    private isThenable;
}
